Summary:	The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Name:		nasm
Version:	0.98
Release:	8mdk
License:	GPL
Group:		Development/Other

Source:		ftp://ftp.kernel.org/pub/software/devel/nasm/source/nasm-%{version}.tar.bz2
Patch:		nasm-0.98-3DNow.patch

URL:		http://www.cryogen.com/Nasm/
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	groff texinfo

%package doc
Summary:	Extensive documentation for NASM
Group:		Development/Other
Prereq:		/sbin/install-info

%package rdoff
Summary:	Tools for the RDOFF binary format, sometimes used with NASM
Group:		Development/Other

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML,
PostScript, RTF and text formats.

%description rdoff
Tools for the operating-system independent RDOFF binary format, which
is sometimes used with the Netwide Assembler (NASM).  These tools
include linker, library manager, loader, and information dump.

%prep

%setup -q
%patch -p1

%build
%configure --prefix=%{prefix}

%make everything

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_infodir},%{_mandir}/man1}
make INSTALLROOT="$RPM_BUILD_ROOT" install
make INSTALLROOT="$RPM_BUILD_ROOT" install_rdf
cd doc
install info/* $RPM_BUILD_ROOT/%{_infodir}/
gzip -9f *.txt *.ps||true
cd html
ln -sf nasmdoc0.html index.html

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info nasm.info

%preun
%_remove_install_info nasm.info

%files
%defattr(-,root,root)
%doc COPYING Licence Changes Wishlist changed.asm internal.doc MODIFIED
%attr(755,root,root) %{_bindir}/nasm
%attr(755,root,root) %{_bindir}/ndisasm
%{_mandir}/man1/nasm.1*
%{_mandir}/man1/ndisasm.1*
%{_infodir}/nasm.info*

%files doc
%defattr(-,root,root)
%doc doc/nasmdoc.ps.gz doc/nasmdoc.txt.gz doc/nasmdoc.rtf doc/html

%files rdoff
%defattr(-,root,root)
%doc rdoff/README rdoff/Changes
%{_bindir}/ldrdf
%{_bindir}/rdf2bin
%{_bindir}/rdf2com
%{_bindir}/rdfdump
%{_bindir}/rdflib
%{_bindir}/rdx

%changelog
* Thu Jul 26 2001 Warly <warly@mandrakesoft.com> 0.98-8mdk
- rebuild

* Fri Jan 12 2001 David BAUDENS <baudens@mandrakesoft.com> 0.98-7mdk
- BuildRequires: texinfo
- USe %%make macro

* Fri Nov 24 2000 Warly <warly@mandrakesoft.com> 0.98-6mdk
- Change license

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.98-5mdk
- BM

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>  0.98-4mdk
- use new macros
- make package short-circuit compliant ...
- Andrew Lee <andrew@cle.linux.org.tw> : add Enhanced 3D Now! patch
- move post & postun script from -doc in main package since info pages are
  there ...

* Wed Apr 05 2000 Warly <warly@linux-mandrake.com> 0.98-3mdk
- new group: Development/Other
- spec-helper

* Thu Feb 03 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added BuildPreReq.
- changed doc dirs.

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- First spec
